imagegif
imagegrabwindow
GD and Image Functions
PHP Manual

# imagegrabscreen

(PHP 5 >= 5.2.2)

imagegrabscreen — Captures the whole screen

### Description

resource imagegrabscreen ( void )

Grabs a screenshot of the whole screen.

### Return Values

Returns an image resource identifier on success, `FALSE` on failure.

### Examples

Example #1 imagegrabscreen() example

This example demonstrates how to take a screenshot of the current screen and save it as a png image.

`<?php
$im = imagegrabscreen();
imagepng($im, "myscreenshot.png");
imagedestroy($im);
?>`

### Notes

> Note: This function is only available on Windows.

### See Also

- imagegrabwindow() - Captures a window

imagegif
imagegrabwindow
GD and Image Functions
PHP Manual